[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.IndexOf

Index of key pointed to by AKey

## Declaration

Source position: fgl.pp line 274

`public function TFPSMap.IndexOf(`
`AKey: Pointer`
`):Integer;`

## Arguments

`AKey` |  | key to search for

## Function result

Index of AKey or -1 if AKey was not found.

## Description

IndexOf returns the index of the element with a key pointed to by AKey. It returns -1 if the key was not found.

If the list is sorted, then a binary search is performed, otherwise a linear search is used to find the key.

## Errors

None.

## See also

TFPSMap.Find |  | Find data using the associated key
TFPSMap.IndexOfData |  | Index of data item AData
TFPSMap.Keys |  | Indexed access to the locations of all keys
TFPSMap.Data |  | Indexed access to the locations of all data items